#include <gtk/gtk.h>

#include "main.h"
#include "interface.h"
#include "support.h"


int main (int argc, char *argv[]) {

	/* printf("argc: %i\nargv[0]: %s\nargv[1]: %s\nargv[2]: %s\n", argc, argv[0], argv[1], argv[2]); */

	/* commandline option handling */
	if (argc == 2) {
		if (strcmp(argv[1], "--version") == 0) {
			g_print("cropper - a crop frontend for convert\nversion 0.1\nhttp://prog.marmaro.de\n");
			return(0);
		} else {
			image_filename = argv[1];
		}
	} else {
		g_print("usage: cropper <image>\n       cropper --version\n");
		return(1);
	}



  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory ("/usr/share/pixmaps");

  cropper_window = create_cropper_window ();
  gtk_widget_show (cropper_window);

  gtk_main ();
  return 0;
}

